package betterquesting.items;

import betterquesting.api.api.QuestingAPI;
import betterquesting.api.properties.NativeProps;
import betterquesting.core.BetterQuesting;
import betterquesting.storage.LifeDatabase;
import betterquesting.storage.QuestSettings;
import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;
import java.util.List;
import java.util.UUID;
import javax.annotation.Nonnull;
import net.minecraft.client.renderer.texture.IIconRegister;
import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.util.ChatComponentText;
import net.minecraft.util.ChatComponentTranslation;
import net.minecraft.util.EnumChatFormatting;
import net.minecraft.util.IIcon;
import net.minecraft.world.World;

/* loaded from: betterquesting_items.jar:betterquesting/items/ItemExtraLife.class */
public class ItemExtraLife extends Item {
    private IIcon iconQuarter;
    private IIcon iconHalf;

    public ItemExtraLife() {
        func_111206_d("betterquesting:heart");
        func_77655_b("betterquesting.extra_life");
        func_77637_a(BetterQuesting.tabQuesting);
        func_77627_a(true);
    }

    public boolean func_77648_a(ItemStack stack, EntityPlayer player, World world, int x, int y, int z, int side, float hitX, float hitY, float hitZ) {
        return true;
    }

    public ItemStack func_77659_a(ItemStack stack, World world, EntityPlayer player) {
        if (stack.func_77960_j() != 0) {
            return stack;
        }
        if (((Boolean) QuestSettings.INSTANCE.getProperty(NativeProps.HARDCORE)).booleanValue()) {
            if (!player.field_71075_bZ.field_75098_d) {
                stack.field_77994_a--;
            }
            UUID uuid = QuestingAPI.getQuestingUUID(player);
            int lives = LifeDatabase.INSTANCE.getLives(uuid);
            if (lives >= ((Integer) QuestSettings.INSTANCE.getProperty(NativeProps.LIVES_MAX)).intValue()) {
                if (!world.field_72995_K) {
                    player.func_146105_b(new ChatComponentText(EnumChatFormatting.RED.toString()).func_150257_a(new ChatComponentTranslation("betterquesting.gui.full_lives", new Object[0])));
                }
                return stack;
            }
            world.func_72956_a(player, "random.levelup", 1.0f, 1.0f);
            if (!world.field_72995_K) {
                LifeDatabase.INSTANCE.setLives(uuid, lives + 1);
                player.func_146105_b(new ChatComponentTranslation("betterquesting.gui.remaining_lives", new Object[]{EnumChatFormatting.YELLOW.toString() + (lives + 1)}));
            }
        } else if (!world.field_72995_K) {
            player.func_146105_b(new ChatComponentTranslation("betterquesting.msg.heart_disabled", new Object[0]));
        }
        return stack;
    }

    @Nonnull
    public String func_77667_c(ItemStack stack) {
        switch (stack.func_77960_j() % 3) {
            case 1:
                return func_77658_a() + ".half";
            case 2:
                return func_77658_a() + ".quarter";
            default:
                return func_77658_a() + ".full";
        }
    }

    @SideOnly(Side.CLIENT)
    public boolean func_77636_d(ItemStack stack) {
        return stack.func_77960_j() == 0;
    }

    @SideOnly(Side.CLIENT)
    public void func_150895_a(Item item, CreativeTabs tab, List list) {
        list.add(new ItemStack(item, 1, 0));
        list.add(new ItemStack(item, 1, 1));
        list.add(new ItemStack(item, 1, 2));
    }

    @SideOnly(Side.CLIENT)
    public IIcon func_77617_a(int dmg) {
        switch (dmg % 3) {
            case 1:
                return this.iconHalf;
            case 2:
                return this.iconQuarter;
            default:
                return this.field_77791_bV;
        }
    }

    @SideOnly(Side.CLIENT)
    public void func_94581_a(IIconRegister register) {
        this.iconQuarter = register.func_94245_a(func_111208_A() + "_quarter");
        this.iconHalf = register.func_94245_a(func_111208_A() + "_half");
        this.field_77791_bV = register.func_94245_a(func_111208_A() + "_full");
    }
}
